/*
 * This software is copyright (c) 2004 by Shadowplay.net. It is released 
 * under the terms of the Artistic License.  Please refer to the file 
 * LICENSE for details.
 */
package net.shadowplay.wurml;


/**
 * @author Michael Dykman for Shadowplay.net 
 */
public abstract class WapConstants
{
	public static final String XHTML_PARAM_SEPARATOR = "&"; 
	public static final String WML_PARAM_SEPARATOR = "&amp;"; 
	public static final String WAP_PARAM_ASSIGN = "=";
	public static final String WML_TYPE = "wml";
	public static final String WML_MIME_TYPE = "text/vnd.wap.wml";
	public static final String XHTML_MIME_TYPE = "application/xhtml+xml";
	public static final String XHTML_TYPE = "xhtml";
	public static final String HTML_MIME_TYPE = "text/html";
	public static final String HTML_TYPE = "html";
	public static final String WML_IMAGE_TYPE = 	"image/vnd.wap.wbmp";
	public static final String POST_ENCODING = "application/x-www-form-urlencoded"; 
	
	public static final String DEFAULT_TEXT_ENCODING = "US-ASCII";
	public static final String DEFAULT_APPLICATION_ENCODING = "UTF-8";
}
