package net.shadowplay.xml;

import java.io.IOException;

import org.w3c.dom.Document;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;


/**
 * @author Michael Dykman
 */
public interface DocumentBuilder
{
	public void parse(InputSource is)
		throws IOException, SAXException;
	
	public Document getDocument();
	public ParseErrorHandler getParseErrorHandler();
	public void setParseErrorHandler(ParseErrorHandler eh);
}
