/*
 * This software is copyright (c) 2004 by Shadowplay.net. It is released 
 * under the terms of the Artistic License.  Please refer to the file 
 * LICENSE for details.
 */
package net.shadowplay.wurml;

import java.net.URL;

/**
 * @author Michael Dykman for Shadowplay.net 
 */
public interface WapLink
{
	public abstract void addArg(String key, String value);
	
	public abstract void addCookie(String key, String value);
	
	public abstract boolean equals(Object rhs);
	
	public abstract int hashCode();
	public abstract URL getURL();
}