/*
 * This software is copyright (c) 2004 by Shadowplay.net. It is released 
 * under the terms of the Artistic License.  Please refer to the file 
 * LICENSE for details.
 */
package net.shadowplay.wurml.filter;

import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

/**
 * @author Michael Dykman for Shadowplay.net 
 */
public class HrefFilter implements NodeFilter
{
	public short acceptNode(Node node)
	{
		short result = NodeFilter.FILTER_SKIP;
		String name = node.getNodeName();
		if(name.equalsIgnoreCase("A") 
				|| name.equalsIgnoreCase("GO"))
		{
			NamedNodeMap attr = node.getAttributes();
			if(attr.getNamedItem("href") != null)
			{
				result = NodeFilter.FILTER_ACCEPT;
			}
		}
		
		return result;
	}
}
