package net.shadowplay.wurml.input;

import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;


public class ElementNameFilter implements NodeFilter
{
	String name;
	public ElementNameFilter(String name)
	{
		this.name = name;
	}
	public short acceptNode(Node node)
	{
		short result = NodeFilter.FILTER_SKIP;
		if(node.getNodeName().equalsIgnoreCase(name))
		{
			result = NodeFilter.FILTER_ACCEPT;
		}
		return result;
	}
}