@ECHO OFF
REM ##################################################
REM # This software is copyright (c) 2004 by Shadowplay.net. It is released 
REM # under the terms of the Artistic License.  Please refer to the file 
REM # LICENSE for details.
REM ##################################################

SET EXEC_CLASS=net.shadowplay.wurml.WurML

REM assign BASEDIR this to the directory WurML has installed in
SET BASEDIR=.
REM SET BASEDIR=C:\wurml

REM if JAVA_HOME is not defined in your environment, 
REM edit and uncomment the line below
REM set JAVA_HOME="C:\Program Files\Java\j2re1.4.2_06"

REM gather all the arguments
SET OPTIONS=
:PARSE
IF "%1" == "" GOTO ENDOPT
SET OPTIONS=%OPTIONS% %1
SHIFT
GOTO PARSE

:ENDOPT

IF NOT "%JAVA_HOME%" == "" GOTO RUN
echo please define 'JAVA_HOME' either in the environment or in 'wurml.bat'
GOTO END

:RUN
set JAVA=%JAVA_HOME%\bin\java.exe

set CLASSPATH="%BASEDIR%\lib\wurml.jar;%BASEDIR%\lib\xercesImpl.jar;%BASEDIR%\lib\xml-apis.jar;%BASEDIR%\lib\gnu.getopt.jar"

"%JAVA%" -classpath %CLASSPATH% %EXEC_CLASS% %OPTIONS%

:END
SET OPTIONS=
SET JAVA=
SET BASEDIR=
SET EXEC_CLASS=
